glibmm 2.56.0

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::DBus::PropertyInfo Class Referencefinal
D-Bus API

Stores information about a property on a D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GDBusPropertyInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GDBusPropertyInfo* | gobj () const
| Provides access to the underlying C instance. More...
GDBusPropertyInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| PropertyInfo ()=delete
| PropertyInfo (const PropertyInfo&)=delete
PropertyInfo& | operator= (const PropertyInfo&)=delete

## Protected Member Functions
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::DBus::PropertyInfo > | wrap (GDBusPropertyInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Stores information about a property on a D-Bus interface.

Since glibmm 2.28:

## Constructor & Destructor Documentation

## ◆ PropertyInfo() [1/2]

Gio::DBus::PropertyInfo::PropertyInfo | ( |  | ) |
| delete

## ◆ PropertyInfo() [2/2]

Gio::DBus::PropertyInfo::PropertyInfo | ( | const PropertyInfo& |  | ) |
| delete

## Member Function Documentation

## ◆ gobj() [1/2]

GDBusPropertyInfo* Gio::DBus::PropertyInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GDBusPropertyInfo* Gio::DBus::PropertyInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GDBusPropertyInfo* Gio::DBus::PropertyInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator delete()

void Gio::DBus::PropertyInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

PropertyInfo& Gio::DBus::PropertyInfo::operator= | ( | const PropertyInfo& |  | ) |
| delete

## ◆ reference()

void Gio::DBus::PropertyInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gio::DBus::PropertyInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gio::DBus::PropertyInfo > wrap | ( | GDBusPropertyInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.